com.singularsys.jeptests.system

## Class ModifiedParserTest.SuffixArrayAccessShuntingYardGrammarParserFactory

- java.lang.Object
- - com.singularsys.jeptests.system.ModifiedParserTest.SuffixArrayAccessShuntingYardGrammarParserFactory

- All Implemented Interfaces:
    GrammarParserFactory, JepComponent, java.io.Serializable
  Enclosing class:
    ModifiedParserTest

      public static class ModifiedParserTest.SuffixArrayAccessShuntingYardGrammarParserFactory
      extends java.lang.Object
      implements GrammarParserFactory

  Factory to create SuffixArrayAccessShuntingYard
  Author:
    richard
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SuffixArrayAccessShuntingYardGrammarParserFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JepComponent` | `getLightWeightInstance()` Gets a light-weight instance suitable for using in multiple threads.
    `void` | `init(Jep jep)` Initialize the component.
    `GrammarParser` | `newInstance(ConfigurableParser cp)` Create a new ShuntingYard instance.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SuffixArrayAccessShuntingYardGrammarParserFactory

          public SuffixArrayAccessShuntingYardGrammarParserFactory()

  - ### Method Detail

    - #### newInstance

          public GrammarParser newInstance(ConfigurableParser cp)

      Create a new ShuntingYard instance.
      Specified by:
        `newInstance` in interface `GrammarParserFactory`

    - #### init

          public void init(Jep jep)

      Description copied from interface: `JepComponent`
      Initialize the component. This methods is called whenever a component is added to Jep. Hence it allows components to keep track of the other components they may rely on.
      Specified by:
        `init` in interface `JepComponent`
      Parameters:
        `jep` - the current Jep instance

    - #### getLightWeightInstance

          public JepComponent getLightWeightInstance()

      Description copied from interface: `JepComponent`
      Gets a light-weight instance suitable for using in multiple threads.
      Specified by:
        `getLightWeightInstance` in interface `JepComponent`
      Returns:
        either an new instance, or 'this'.

Copyright © 2018 Singular Systems http://www.singularsys.com/jep